<?php
/**
 * 2018-2022 MXB Informatica.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/afl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to info@mxbinformatica.it so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to http://www.prestashop.com for more information.
 *
 *  @author    MXB Informatica <info@mxbinformatica.it>
 *  @copyright 2013-2022 MXB Informatica
 *  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
 */

$shop_root = dirname(__FILE__) . '/../../../';
require($shop_root . 'config/config.inc.php');
require($shop_root . 'init.php');
//require_once _PS_MODULE_DIR_.'mxb_tools/classes/MxbToolsDebug.php';
require_once _PS_MODULE_DIR_.'mxb_advdelslip/classes/MxbAdvdelslipDeliverySlipData.php';


if (Tools::getIsset('simulate')) {
    $sim = Tools::getValue('simulate');
    //echo 'SIMULATE: ' . $sim . '<br>';
    //$simulate = Tools::getValue('SIMULATE');
    $simulate = ((string)$sim == "1");
} else {
    $simulate = true;
}
if (Tools::getIsset('limit')) {
    $limit = Tools::getValue('limit');
} else {
    $limit = false;
}
if (Tools::getIsset('id')) {
    $id = Tools::getValue('id');
} else {
    $id = false;
}
if (Tools::getIsset('url')) {
    $url = Tools::getValue('url');
    $logfile = $url . '.log';
} else {
    $url = false;
    $logfile = null;
}
if (Tools::getIsset('tot_records')) {
    $tot_records = Tools::getValue('tot_records');
} else {
    $tot_records = 0;
}
$debug = Tools::getIsset('debug');
//MxbToolsDebug::writeLog('mxb_advdelslip AJAX', $url, 'SIMULATE=' . $simulate . ' limit=' . $limit . ' id=' . $id, true);

/**
 * FROM HERE: RETURNS JSON CONTENT
 */
header("Content-type: application/json");

/* MXB_ADVDELSLIP_DELIVERY_SLIP_ADVANCED */
// save delivery slip data
// test link: https://www.xxxxxxxxx.com/modules/mxb_advdelslip/ajax/ajax.php?url=saveDeliverySlipData
if ($url == "saveDeliverySlipData") {
    //MxbToolsDebug::writeLog('mxb_advdelslip AJAX', $url, 'saveDeliverySlipData()', true);
    try {
        $id_mxb_advdelslip_delivery_slip_data = Tools::getIsset('id')
            ? (int)Tools::getValue('id') : 0;
        $deliverySlipData = new MxbAdvDelSlipDeliverySlipData($id_mxb_advdelslip_delivery_slip_data);
        $deliverySlipData->id_order = Tools::getIsset('id_order')
            ? (int)Tools::getValue('id_order') : 0;
        $deliverySlipData->package_quantity = Tools::getIsset('package_quantity')
            ? Tools::getValue('package_quantity') : 0;
        $deliverySlipData->package_weight = Tools::getIsset('package_weight')
            ? Tools::getValue('package_weight') : 0;
        $deliverySlipData->transport_reason = Tools::getIsset('transport_reason')
            ? Tools::getValue('transport_reason') : '';
        $deliverySlipData->transport_by = Tools::getIsset('transport_by')
            ? Tools::getValue('transport_by') : '';
        $deliverySlipData->carriage = Tools::getIsset('carriage')
            ? Tools::getValue('carriage') : '';
        $deliverySlipData->appearance = Tools::getIsset('appearance')
            ? Tools::getValue('appearance') : '';
        $deliverySlipData->delivery_start_date = Tools::getIsset('delivery_start_date')
            ? Tools::getValue('delivery_start_date') : '';//'00-00-0000 00:00:00';
        $deliverySlipData->notes = Tools::getIsset('notes')
            ? Tools::getValue('notes') : '';
    } catch (Exception $e) {
        //MxbToolsDebug::writeLog('mxb_advdelslip AJAX', $url, 'Exception: ' . $e->getMessage(), true);
    }
  //MxbToolsDebug::writeLog('mxb_advdelslip AJAX', $url,
  //  'deliverySlipData: ' . print_r($deliverySlipData, true), true);

  //if (empty($deliverySlipData->delivery_start_date))
  //  $deliverySlipData->delivery_start_date = '00-00-0000 00:00:00';

  // debug
  //$deliverySlipData->id_order = Tools::getIsset('id_order') ? (int)Tools::getValue('id_order') : 0;

    if (!$id_mxb_advdelslip_delivery_slip_data)
        $deliverySlipData->add();
    else
        $deliverySlipData->update();

    die(json_encode(array(
        'result' => 'ok',
        'id' => $deliverySlipData->id,
        //'delivery_start_date' => $deliverySlipData->delivery_start_date,
    )));

}


// load last delivery slip data
// test url:
//    https://www.xxxxx.com/modules/mxb_advdelslip/ajax/ajax.php?url=loadLastDeliverySlipData&id=0
if ($url == "loadLastDeliverySlipData") {
  $deliverySlipData = MxbAdvDelSlipDeliverySlipData::getLastDeliverySlipData();
  //$deliverySlipData['result'] = 'ok';
  $deliverySlipData['delivery_start_date'] = Tools::formatDateStr(date('Y-m-d H:i:s'), true);
  die(json_encode($deliverySlipData));
}

/*
// modify shipping cost for an order
if ($url == "saveOrderShippingCost") {
  $id_order = Tools::getIsset('id_order') ? (int)Tools::getValue('id_order') : 0;
  $total_shipping_tax_excl = Tools::getIsset('total_shipping_tax_excl')
    ? (float)Tools::getValue('total_shipping_tax_excl') : 0;

  $sql = '
      SELECT *
      FROM ' . _DB_PREFIX_ . 'orders
      WHERE id_order=' . (int)$id_order . '
      LIMIT 1';

  $result = Db::getInstance(_PS_USE_SQL_SLAVE_)->executeS($sql);

  if (!$result || !(bool)count($result)) {
    die(json_encode(array('error' => 'order id not found',
              'id' => $id_order,
    )));
  }
  $order = $result[0];


  $tax_rate = (float)$order['carrier_tax_rate'];
  $total_shipping_tax_incl = $total_shipping_tax_excl + ($total_shipping_tax_excl * $tax_rate / 100);
  // recalculate order totals
  $total_paid_tax_excl = (float)$order['total_paid_tax_excl'] - (float)$order['total_shipping_tax_excl'] + $total_shipping_tax_excl;
  $total_paid_tax_incl = (float)$order['total_paid_tax_incl'] - (float)$order['total_shipping_tax_incl'] + $total_shipping_tax_incl;
  if ((float)$order['total_paid'] == (float)$order['total_paid_tax_incl']) {
    $total_paid = $total_paid_tax_incl;
    $total_shipping = $total_shipping_tax_incl;
  } else {
    $total_paid = $total_paid_tax_excl;
    $total_shipping = $total_shipping_tax_excl;
  }

  $sql = '
        UPDATE ' . _DB_PREFIX_ . 'orders
        SET
          total_shipping_tax_excl=\'' . $total_shipping_tax_excl . '\',
      total_shipping_tax_incl=\'' . $total_shipping_tax_incl . '\',
      total_shipping=\'' . $total_shipping . '\',
      total_paid_tax_excl=\'' . $total_paid_tax_excl . '\',
      total_paid_tax_incl=\'' . $total_paid_tax_incl . '\',
      total_paid=\'' . $total_paid . '\'
        WHERE id_order=' . (int)$id_order;

    //WHERE p.`reference` NOT LIKE \'' . $gcodes->decoration_suffix
    //  . '.%\' AND p.`reference` NOT LIKE \'' . $gcodes->print_option_suffix
    //  . '.%\' AND p.`reference` NOT LIKE \'' . $gcodes->print_setup_suffix . '.%\'

    $result = Db::getInstance(_PS_USE_SQL_SLAVE_)->execute($sql);

  die(json_encode(array('result' => 'ok',
              'id' => $id_order,
  )));
}
*/

//MxbToolsDebug::writeLog('mxb_advdelslip AJAX', $url, 'nothing to do', true);

die(json_encode(array('error' => 'ajax: nothing to do')));
