<?php
/**
 * 2018-2022 MXB Informatica.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/afl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to info@mxbinformatica.it so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to http://www.prestashop.com for more information.
 *
 *  @author    MXB Informatica <info@mxbinformatica.it>
 *  @copyright 2013-2022 MXB Informatica
 *  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
 */

require_once _PS_MODULE_DIR_.'mxb_advdelslip/classes/MxbAdvdelslipUtils.php';
/*
if (file_exists(_PS_MODULE_DIR_.'mxb_tools/classes/MxbToolsDebug.php')) {
    require_once _PS_MODULE_DIR_.'mxb_tools/classes/MxbToolsDebug.php';
}
*/
class AdminMxbAdvdelslipConfigurationController extends ModuleAdminController
{
    /*
    protected $colorOnBackground = true;
    protected $color_on_background = true;
    */
    public function __construct()
    {
        $this->name = 'mxb_advdelslip';
        $this->class_name = 'AdminMxbAdvdelslipConfigurationController';
        $this->tab = 'administration';

        $this->templateFile = _PS_MODULE_DIR_ . 'mxb_advdelslip/views/templates/admin/configuration.tpl';
        $this->multishop_context = Shop::CONTEXT_ALL;
/*
        $this->_orderBy = 'id_gadgetcard_decoration_method';
        $this->_orderWay = 'DESC';
*/
        $this->bootstrap = true;

        //$this->addWaitingFlows();

        //MxbToolsDebug::WriteLog($this->name, $this->class_name . '::__construct()', 'START', true);
        parent::__construct();


        $this->displayName = $this->module->l('MXB Advanced delivery slip configuration');
        //MxbToolsDebug::WriteLog($this->name, $this->class_name . '::__construct()', 'DONE', true);
    }

    /*
    protected function getPathUri() {
        return $this->context->link->getPageLink('',true) . 'modules/mxb_tools' . DIRECTORY_SEPARATOR;
    }

    protected function getPath() {
        return _PS_MODULE_DIR_ . 'gadgetcard' . DIRECTORY_SEPARATOR;
    }
    */
    public function renderList()
    {
        //Mxb_ToolsDebug::WriteLog($this->name, $this->class_name . '::renderList()', '');

        $output = '';
        if (Tools::getValue('submitAddmxb_advdelslip_configuration')) {
            $output .= $this->processForm();
        }



        //    $this->renderForm();
        // @TODO Add box to display ajax cron call
        //return $this->getContent();
        //return parent::renderList();
        $smarty = Context::getContext()->smarty;

        // add config values to smarty
        $smarty->assign($this->getConfigFormValues());
        $smarty->assign(MxbAdvdelslipUtils::getCommonAdminTplValues($this->context));
        $smarty->assign(
            'form_action',
            $this->context->link->getAdminLink($this->module->rootController . 'Configuration')
        );
        $smarty->assign(
            'module_name_and_version',
            $this->module->displayName . ' ver. ' . $this->module->version . ' (dev. ' . $this->module->dev_version . ')'
        );


        /*
        $sql = '
            SELECT *
            FROM `' . _DB_PREFIX_ . 'module`
            WHERE `name` LIKE "mxb_%"
            AND `active`=1
            ORDER BY `name` ASC';
           $result = Db::getInstance(_PS_USE_SQL_SLAVE_)->executeS($sql);
        if ($result) {
            $modules = array();
            foreach ($result as $mod) {
                $modules[] = array(
                                'name' => $mod['name'],
                                'link' => $this->context->link->getAdminLink('AdminModules') . '&configure=' . $mod['name']
                );
            }
            $smarty->assign('mxb_modules', $modules);
        }
        */

        $output .= $this->context->smarty->fetch($this->templateFile);


        return $output; //.$this->renderForm();

    }




     protected function getValue($key, $default = null, $type = null, $save = false)
    {
        return MxbAdvdelslipUtils::getConfigValue($key, $default, $type, $save);
    }

    protected function setValue($key, $value, $type = null) {
        MxbAdvdelslipUtils::setConfigValue($key, $value, $type);
    }

    /**
     * Set values for the inputs.
     */
    public function getConfigFormValues()
    {
        return MxbAdvdelslipUtils::getConfigFormValues('config');
    }

    public function processForm() {
        $smarty = Context::getContext()->smarty;
        $form_error = array();
        $form_success = array();

        // validation
        //if ((int) Tools::getValue('MXB_TOOLS_PRICE_NUMBER_OF_DIGITS') < 0) {
        //    $form_error[] = 'Number of digits for prices must be equal or greater than 0.';
        //}

        $form_values = $this->getConfigFormValues();

        // if mxbmemberprogram or gadgetcard module are installed, let it manage these values
        if (MxbAdvdelslipUtils::isModuleEnabled('mxbmemberprogram') || MxbAdvdelslipUtils::isModuleEnabled('gadgetcard')) {
            $form_values['MXB_ADVDELSLIP_ADDITIONAL_DATA_ENABLED'] = 0;
            $form_success[] = $this->module->l('Some settings were reset because the module MXB Member Program or Gadgetcard was found and it already manages that stuff !');
        }
        if (count($form_error)) {
            return $this->module->displayError($this->module->l('Unable to save configuration for the following reasons:') . '<br>.' . implode('<br>. ', $form_error) );
        }

        foreach (array_keys($form_values) as $key) {
            MxbAdvdelslipUtils::setConfigValue($key, $form_values[$key]);
            //$ret = Configuration::updateGlobalValue($key, $form_values[$key]);
        }

        // $this->_clearCache($this->templateFile);
        if (count($form_success)) {
            return $this->module->displayConfirmation($this->module->l('Configuration saved') . '<br>.' . implode('<br>. ', $form_success) );
        }
        return $this->module->displayConfirmation($this->module->l('Configuration saved'));
        //$this->confirmation = $this->l('Configuration saved');
    }

    public function initToolbar()
    {
        $return = parent::initToolbar();

        //$this->meta_title = $this->l($this->displayName);
        $this->toolbar_title[] = $this->module->l($this->displayName);
        return $return;
    }

    /*
    protected function saveCssFile($content, $filename = 'css/global.css') {
        return Mxb_ToolsUtils::saveCssFile($content, $filename);
    }

    protected function readCssFile($filename = 'customcss/global.css', $filename_default = 'css/_global_default.css') {
        return Mxb_ToolsUtils::readCssFile($filename, $filename_default);
    }
    */
}
