/**
 * 2018-2022 MXB Informatica.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/afl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to info@mxbinformatica.it so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to http://www.prestashop.com for more information.
 *
 *  @author    MXB Informatica <info@mxbinformatica.it>
 *  @copyright 2013-2022 MXB Informatica
 *  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
 */

$( document ).ready(function()
{

    // Delivery slip additional data if not already managed by gadgetcard or mxbmemberprogram
    if ( !$('#gadgetcard_delivery_slip_data').length && !$('#mxbmp_delivery_slip_data').length && !$('#mxbdn_delivery_slip_data').length && $('#mxbads_delivery_slip_data').length) {
        //alert ('MXB_ADVDELSLIP: set ajax delivery slip data form');
        $('#mxbads_delivery_slip_data_save_btn').unbind( "click.custom").bind(
            "click.custom",
            function(event) {
                //alert ('CLICK!');
                var params_array = {};
                params_array['url'] = 'saveDeliverySlipData';
                params_array['id'] = $('#mxbads_delivery_slip_data input[name="mxbads_id_mxb_advdelslip_delivery_slip_data"]').val();
                //params_array['mxbads_id_mxb_advdelslip_delivery_slip_data'] = $('#mxbads_delivery_slip_data input[name="mxbads_id_mxb_advdelslip_delivery_slip_data"]').val();
                params_array['id_order'] = $('#mxbads_delivery_slip_data input[name="mxbads_id_order"]').val();
                params_array['transport_reason'] = $('#mxbads_delivery_slip_data input[name="mxbads_transport_reason"]').val();
                params_array['transport_by'] = $('#mxbads_delivery_slip_data input[name="mxbads_transport_by"]').val();
                params_array['carriage'] = $('#mxbads_delivery_slip_data input[name="mxbads_carriage"]').val();
                params_array['appearance'] = $('#mxbads_delivery_slip_data input[name="mxbads_appearance"]').val();
                params_array['package_quantity'] = $('#mxbads_delivery_slip_data input[name="mxbads_package_quantity"]').val();
                params_array['package_weight'] = $('#mxbads_delivery_slip_data input[name="mxbads_package_weight"]').val();
                params_array['delivery_start_date'] = $('#mxbads_delivery_slip_data input[name="mxbads_delivery_start_date"]').val();
                params_array['notes'] = $('#mxbads_delivery_slip_data input[name="mxbads_notes"]').val();

                //alert("front.js::params_array=" + JSON.stringify(params_array));

                mxbads_postBackAjaxForm(
                    'ajax.php',
                    params_array,
                    function(data) {
                        if (data.error !== undefined) {
                            alert('Error: '+data.error);
                        }
                        else {
                            $('#mxbads_delivery_slip_data input[name="mxbads_id_mxb_advdelslip_delivery_slip_data"]').val(data.id);
                            //$('#mxbads_delivery_slip_data input[name="mxbads_delivery_start_date"]').val(data.delivery_start_date);
                            alert('Saved !');
                        }
                    }
                );
            }
        );

        $('#mxbads_delivery_slip_data_load_btn').unbind("click.custom").bind(
            "click.custom",
            function(event) {
                //alert ('CLICK!');
                var params_array = {};
                params_array['url'] = 'loadLastDeliverySlipData';
                params_array['id'] = $('#mxbads_delivery_slip_data input[name="mxbads_id_mxb_advdelslip_delivery_slip_data"]').val();
                //params_array['mxbads_id_mxb_advdelslip_delivery_slip_data'] = $('#mxbads_delivery_slip_data input[name="mxbads_id_mxb_advdelslip_delivery_slip_data"]').val();
                //alert("front.js::params_array=" + JSON.stringify(params_array));

                mxbads_postBackAjaxForm(
                    'ajax.php',
                    params_array,
                    function(data) {
                        if (data.error !== undefined) {
                            alert('Error: '+data.error);
                        }
                        else {
                            //$('#mxbads_delivery_slip_data input[name="mxbads_id_mxb_advdelslip_delivery_slip_data"]').val(data.id);
                            $('#mxbads_delivery_slip_data input[name="mxbads_transport_reason"]').val(data.transport_reason);
                            $('#mxbads_delivery_slip_data input[name="mxbads_transport_by"]').val(data.transport_by);
                            $('#mxbads_delivery_slip_data input[name="mxbads_carriage"]').val(data.carriage);
                            $('#mxbads_delivery_slip_data input[name="mxbads_appearance"]').val(data.appearance);
                            $('#mxbads_delivery_slip_data input[name="mxbads_package_quantity"]').val(data.package_quantity);
                            $('#mxbads_delivery_slip_data input[name="mxbads_package_weight"]').val(data.package_weight);
                            $('#mxbads_delivery_slip_data input[name="mxbads_delivery_start_date"]').val(data.delivery_start_date);
                            $('#mxbads_delivery_slip_data input[name="mxbads_notes"]').val(data.notes);
                            //alert('Loaded !');
                        }
                    }
                );
            }
        );

        $('#mxbads_shipping_cost_save_btn').unbind( "click.custom").bind(
            "click.custom",
            function(event) {
                //alert ('CLICK!');
                var params_array = {};
                params_array['url'] = 'saveOrderShippingCost';
                params_array['id'] = 0;//$('#mxbads_delivery_slip_data input[name="mxbads_id_mxb_advdelslip_delivery_slip_data"]').val();
                //params_array['mxbads_id_mxb_advdelslip_delivery_slip_data'] = $('#mxbads_delivery_slip_data input[name="mxbads_id_mxb_advdelslip_delivery_slip_data"]').val();
                params_array['id_order'] = $('#mxbads_delivery_slip_data input[name="mxbads_id_order"]').val();
                params_array['total_shipping_tax_excl'] = $('#mxbads_delivery_slip_data input[name="total_shipping_tax_excl"]').val();
                //alert("front.js::params_array=" + JSON.stringify(params_array));
                mxbads_postBackAjaxForm(
                    'ajax.php',
                    params_array,
                    function(data) {
                        if (data.error !== undefined) {
                            alert('Error: '+data.error);
                        }
                        else {
                            //$('#mxbads_delivery_slip_data input[name="mxbads_id_mxb_advdelslip_delivery_slip_data"]').val(data.id);
                            //$('#mxbads_delivery_slip_data input[name="mxbads_delivery_start_date"]').val(data.delivery_start_date);
                            alert('Saved ! Please reload the page');
                        }
                              
                    }
                );
            }
        );
    }
});

function mxbads_postBackAjaxForm(page_name, params_array, on_success_callback)
{
    //mxbt_cancelTransition = false;
    var data = {};
    if (typeof(baseDir) !== 'undefined') {
        // back
        var formActionAttribute_url = window.location.origin + baseDir + '/modules/mxb_advdelslip/ajax/' + page_name;
    } else {
        // front
        var formActionAttribute_url = prestashop.urls['base_url'] + '/modules/mxb_advdelslip/ajax/' + page_name;
    }

    if (typeof(params_array['simulate']) === 'undefined') {
        params_array['simulate'] = 1;
    }
    if (typeof(params_array['limit']) === 'undefined') {
        params_array['limit'] = 50;
    }
    if (typeof(params_array['type']) === 'undefined') {
        params_array['type'] = 'json';
    }
    data = params_array;

    //data[submitCustomizedData]     = 1;
    data['ajax'] = 1;
    $.post(formActionAttribute_url, data,
        function(retdata,status,xhr) {
            //alert('returned');
            // save id_customization into html field if any customization stills exist
            /*
            var val = '';
            if ($(".product-customization form product-customization-item a.remove-image").length)
                val = '1';
            else {
                $(".product-customization form product-customization-item textarea, .product-customization form product-customization-item select").each(function(index) {
                    val += $( this ).val();
                });
            }
            // val contains something if any customization exist
            $(".product-actions #product_customization_id").val(val.length>0 ? data.id_customization : '0');
            */
            //setProductCustomizationId(data.id_customization);

            //alert("postCustomizationFormValue success_callback: reload=" + reload + ", data.id_customization=" + data.id_customization);
            // reloading the page mxb_advdelslip will set every field that depends on the current customization (expecially the "print_option" customization field)

            //if (reload===true)
            //       $(".product-customization form").submit();
        },
        params_array['type']).always(function(retdata) {
            if (on_success_callback !== undefined) {
                on_success_callback(retdata);
            }
        }
    );
}
