{*
/**
 * 2018-2022 MXB Informatica.
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Academic Free License (AFL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/afl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to info@mxbinformatica.it so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to http://www.prestashop.com for more information.
 *
 *  @author    MXB Informatica <info@mxbinformatica.it>
 *  @copyright 2013-2022 MXB Informatica
 *  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
 */
*}

<!-- DOCUMENTATION TAB -->
<div class="panel">
    <h3 class="card-header"><i class="icon icon-tags"></i> {l s='Documentation' mod='mxb_advdelslip'}</h3>
    {if isset($module_name_and_version)}
        <h4 class="h4">{$module_name_and_version|cleanHtml nofilter}</h4>
    {/if}
    <p>
        &raquo; {l s='You can get the documentation to use this module' mod='mxb_advdelslip'} :
        <ul>
            {*<!-- <li><a href="{$base_url}/modules/mxb_advdelslip/docs/mxb_advdelslipbering-manual-en.pdf" target="_blank">English</a></li>
            <li><a href="{$base_url}/modules/mxb_advdelslip/docs/mxb_advdelslipbering-manual-it.pdf" target="_blank">Italiano</a></li> -->*}
            <li><a href="https://www.mxbinformatica.it/prestashop-mxb-advdelslip/" target="_blank">English</a></li>
            <li><a href="https://www.mxbinformatica.it/prestashop-mxb-advdelslip/" target="_blank">Italiano</a></li>
        </ul>
    </p>
</div>

<!-- CONFIGURATION -->
<form action="{$form_action|escape:'html':'UTF-8'}" method="post" id="mxb_advdelslip_configuration_form" class="defaultForm form-horizontal" enctype="multipart/form-data" novalidate="">
    <fieldset class="panel">
        <h3 class="card-header"><i class="material-icons">settings</i> {l s='Configuration' mod='mxb_advdelslip'}</h3>
         <div class="form-group">
            <label class="control-label col-lg-3 required" for="MXB_ADVDELSLIP_ADDITIONAL_DATA_ENABLED">{l s='Enable delivery slip additional data' mod='mxb_advdelslip'}</label>
            <div class="col-lg-9">
                <div class="row">
                    <div class="input-group col-lg-2">
                        <span class="switch prestashop-switch fixed-width-lg">
                        <input type="radio" name="MXB_ADVDELSLIP_ADDITIONAL_DATA_ENABLED" id="MXB_ADVDELSLIP_ADDITIONAL_DATA_ENABLED_on" value="1" {if $MXB_ADVDELSLIP_ADDITIONAL_DATA_ENABLED}checked="checked"{/if}>
                        <label class="radioCheck" for="MXB_ADVDELSLIP_ADDITIONAL_DATA_ENABLED_on">{l s='Yes' mod='mxb_advdelslip'}</label>
                        <input type="radio" name="MXB_ADVDELSLIP_ADDITIONAL_DATA_ENABLED" id="MXB_ADVDELSLIP_ADDITIONAL_DATA_ENABLED_off" value="0" {if !$MXB_ADVDELSLIP_ADDITIONAL_DATA_ENABLED}checked="checked"{/if}>
                        <label class="radioCheck" for="MXB_ADVDELSLIP_ADDITIONAL_DATA_ENABLED_off">{l s='No' mod='mxb_advdelslip'}</label>
                            <a class="slide-button btn"></a>
                        </span>
                    </div>
                </div>
                <p class="help-block">{l s='Enable or disable the botton-page table with delivery slip data.' mod='mxb_advdelslip'}</p>
            </div>
        </div>
            
        <div class="panel-footer">
            <button type="submit" value="1" id="mxb_advdelslip_configuration_form_submit_btn" name="submitAddmxb_advdelslip_configuration" class="button btn btn-default">
                <i class="process-icon-save"></i> {l s='Save' mod='mxb_advdelslip'}
            </button>
        </div>
    </fieldset>
</form>
<BR><BR><BR>

{if isset($iframe)}
    <script src="{$iframe|escape:'htmlall':'UTF-8'}"></script>
{/if}