{**
 * 2007-2019 PrestaShop and Contributors
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Open Software License (OSL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/OSL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to https://www.prestashop.com for more information.
 *
 * @author    PrestaShop SA <contact@prestashop.com>
 * @copyright 2007-2019 PrestaShop SA and Contributors
 * @license   https://opensource.org/licenses/OSL-3.0 Open Software License (OSL 3.0)
 * International Registered Trademark & Property of PrestaShop SA
 *}

    {* MXB: DELIVERY BOX *}
            {*if $order_details|count gt 5*}
                <br pagebreak="true"/>
            {*else}
                <hr>
            {/if*}
            <table class="delivery-box-container">
                <tr>
                    <td>
                        <table class="delivery-box">
                            <tbody>
                                <tr>
                                    <td class="boxed" width="33%"><div class="cell-title"><span> {l s='Transport reason:' mod='mxb_advdelslip'}</span></div>
                                        {if isset($deliverySlipData)}
                                            <table class="delivery-data"><tr><td>{$deliverySlipData.transport_reason}</td></tr></table>
                                        {/if}
                                    </td>
                                    <td class="boxed" width="33%"><div class="cell-title"><span> {l s='Start delivery date/time:' mod='mxb_advdelslip'}</span></div>
                                        {if isset($deliverySlipData)}
                                            <table class="delivery-data"><tr><td>{$deliverySlipData.delivery_start_date}</td></tr></table>
                                        {/if}
                                    </td>
                                    <td class="boxed" width="33%"><div class="cell-title"><span> {l s='Transport by:' mod='mxb_advdelslip'}</span></div>
                                        {if isset($deliverySlipData)}
                                            <table class="delivery-data"><tr><td>{$deliverySlipData.transport_by}</td></tr></table>
                                        {/if}
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                                
                        <br>    
                        <table class="delivery-box">
                            <tbody>
                    
                                <tr>
                                    <td class="boxed" width="20%"><div class="cell-title"><span> {l s='Carriage:' mod='mxb_advdelslip'}</span></div>
                                        {if isset($deliverySlipData)}
                                            <table class="delivery-data"><tr><td>{$deliverySlipData.carriage}</td></tr></table>
                                        {/if}
                                    </td>
                                    <td class="boxed" width="20%"><div class="cell-title"><span> {l s='External goods appearance:' mod='mxb_advdelslip'}</span></div>
                                        {if isset($deliverySlipData)}
                                            <table class="delivery-data"><tr><td>{$deliverySlipData.appearance}</td></tr></table>
                                        {/if}
                                    </td>
                                    <td class="boxed" width="20%"><div class="cell-title"><span> {l s='Number of packages:' mod='mxb_advdelslip'}</span></div>
                                        {if isset($deliverySlipData)}
                                            <table class="delivery-data"><tr><td>{$deliverySlipData.package_quantity}</td></tr></table>
                                        {/if}
                                    </td>
                                    <td class="boxed" width="20%"><div class="cell-title"><span> {l s='Weight Kg:' mod='mxb_advdelslip'}</span></div>
                                        {if isset($deliverySlipData)}
                                            <table class="delivery-data"><tr><td>{$deliverySlipData.package_weight}</td></tr></table>
                                        {/if}
                                    </td>
                                    <td class="boxed" width="20%"><div class="cell-title"><span> {l s='Shipping code:' mod='mxb_advdelslip'}</span></div>
                                        {if isset($mxb_tracking_number)}
                                            <table class="delivery-data"><tr><td>{$mxb_tracking_number}</td></tr></table>
                                        {/if}
                                    </td>
                                </tr>
                            </tbody>
                        </table>    
                        
                        <br>    
                        <table class="delivery-box">
                            <tbody>
                                <tr>
                                    <td class="boxed double" width="50%"><div class="cell-title"><span> {l s='Notes:' mod='mxb_advdelslip'}</span>
                                        </div>
                                        {if isset($deliverySlipData)}
                                            <table class="delivery-data"><tr><td>{$deliverySlipData.notes}</td></tr></table>
                                        {/if}
                                    </td>
                            
                                    <td class="noborder" width="25%">
                                        <table class="signature-area">
                                            <tr>
                                                <td class="noborder right">
                                                    {l s='Carrier signature:' mod='mxb_advdelslip'}
                                                </td>
                                            </tr>
                                            <tr>
                                                <td class="noborder right">
                                                    {l s='Driver signature:' mod='mxb_advdelslip'}
                                                </td>
                                            </tr>
                                            <tr>
                                                <td class="noborder right">
                                                    {l s='Recipient signature:' mod='mxb_advdelslip'}
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                    
                                    <td class="noborder" width="25%">
                                        <table class="signature-area">
                                            <tr>
                                                <td class="boxed">
                                                    &nbsp;
                                                </td>
                                            </tr>
                                            <tr>
                                                <td class="boxed">
                                                    &nbsp;
                                                </td>
                                            </tr>
                                            <tr>
                                                <td class="boxed">
                                                    &nbsp;
                                                </td>
                                            </tr>
                                        </table>
                                    </td>
                                </tr>
                            </tbody>
                        </table>
                    </td>
                </tr>
                
                <tr>
                    <td class="delivery-notes">
                        {$deliverySlipData.disclaimer|cleanHtml nofilter}
                    </td>
                </tr>
                
            </table>
