{**
 * 2007-2019 PrestaShop and Contributors
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Open Software License (OSL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/OSL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to https://www.prestashop.com for more information.
 *
 * @author    PrestaShop SA <contact@prestashop.com>
 * @copyright 2007-2019 PrestaShop SA and Contributors
 * @license   https://opensource.org/licenses/OSL-3.0 Open Software License (OSL 3.0)
 * International Registered Trademark & Property of PrestaShop SA
 *}

{assign var=color_header value="#F0F0F0"}
{assign var=color_border value="#000000"}
{assign var=color_border_lighter value="#CCCCCC"}
{assign var=color_line_even value="#FFFFFF"}
{assign var=color_line_odd value="#F9F9F9"}
{assign var=font_size_text value="9pt"}
{assign var=font_size_header value="9pt"}
{assign var=font_size_product value="9pt"}
{assign var=height_header value="20px"}
{assign var=table_padding value="4px"}

<style>

    table, th, td {
        margin: 0!important;
        padding: 0!important;
        vertical-align: middle;
        font-size: {$font_size_text};
        white-space: nowrap;
    }

    table.product {
        border: 1px solid {$color_border};
        border-collapse: collapse;
    }

    table#addresses-tab tr td {
        font-size: large;
    }

    table#summary-tab {
        padding: {$table_padding};
        border: 1pt solid {$color_border};
    }

    table#payment-tab {
        padding: {$table_padding};
        border: 1px solid {$color_border};
    }

    th.product {
        border-bottom: 1px solid {$color_border};
    }

    tr.discount th.header {
        border-top: 1px solid {$color_border};
    }

    tr.product td {
        border-bottom: 1px solid {$color_border_lighter};
    }

    tr.color_line_even {
        background-color: {$color_line_even};
    }

    tr.color_line_odd {
        background-color: {$color_line_odd};
    }

    tr.customization_data td {
    }

    td.product {
        vertical-align: middle;
        font-size: {$font_size_product};
    }

    th.header {
        font-size: {$font_size_header};
        height: {$height_header};
        background-color: {$color_header};
        vertical-align: middle;
        text-align: center;
        font-weight: bold;
    }

    th.header-right {
        font-size: {$font_size_header};
        height: {$height_header};
        background-color: {$color_header};
        vertical-align: middle;
        text-align: right;
        font-weight: bold;
    }

    th.payment {
        background-color: {$color_header};
        vertical-align: middle;
        font-weight: bold;
    }

    tr.separator td {
        border-top: 1px solid #000000;
    }

    .left {
        text-align: left;
    }

    .fright {
        float: right;
    }

    .right {
        text-align: right;
    }

    .center {
        text-align: center;
    }

    .bold {
        font-weight: bold;
    }

    .border {
        border: 1px solid black;
    }

    .no_top_border {
        border-top:hidden;
        border-bottom:1px solid black;
        border-left:1px solid black;
        border-right:1px solid black;
    }

    .grey {
        background-color: {$color_header};

    }

    .white {
        background-color: #FFFFFF;
    }

    .big,
    tr.big td{
        font-size: 110%;
    }
    .small {
        font-size:small;
    }
  
    
    
    
        /* MXB */
        
        table.delivery-box-container {
            border: hidden !important;
            width: 100%;
            border-spacing: 0px;
            border-collapse: collapse;
        }
        
        table.delivery-box-container td {
            border: hidden !important;
        }
        
        table.delivery-box {
            border: hidden !important;
            width: 100%;
            border-spacing: 4px;
            /* border-collapse: collapse; */
        }
        
        table.delivery-box td {
            padding: 5px !important;
            vertical-align: middle;
            text-align: left;
        }
        
        table.delivery-box td.noborder {
            border: hidden !important;
        }
        
        table.delivery-box td.boxed {
            border-style: solid !important;
            border-width: 1px 1px 1px 1px !important;
            vertical-align: top !important;
            height: 50px;
        }
        
        table.delivery-box td.double {
            height: 70px !important;
        }
        
        table.cell-title td {
            /*
            position: relative;
            top: 0px;
            left: 0px;
            padding: 0px !important;
            margin: 0px !important;
            */
            width: 100%;
            text-align: left;
            background: transparent !important;
            font-size: 6pt !important;
        }
        
        table.delivery-box div.cell-title {
            /*
            position: relative;
            top: 0px;
            left: 0px;
            */
            width: 100%;
            text-align: left;
        }
        div.cell-title span {
            /*
            position: absolute;
            left: 5px;
            top: -10px;
            background: white;
            */
            padding: 0px;
            margin: 0px !important;
            font-size: 6pt !important;
        }
        
        table.signature-area {
            border: hidden !important;
            width: 100%;
            height: 100%;
            border-spacing: 2px;
            /* border-collapse: collapse; */
        }
        
        table.signature-area td {
            margin: 0px !important;
            padding-top: 5px !important;
            height: 20px;
            vertical-align: middle !important;
        }
        /*
        table.signature-area th {
            border: hidden !important;
            text-align: right;
            padding-right: 3px;
            font-size: 8pt;
        }
        */
        table.signature-area td.boxed {
            border-style: solid !important;
            border-width: 1px 1px 1px 1px !important; 
            border-color: black !important; 
            text-align: left;
        }
        
        table.signature-area td.noborder {
            border: hidden !important;
        }
        
        .delivery-notes {
            font-size: 6pt !important;
        }    
    
    
    
        table.delivery-data {
            border: hidden !important;
            width: 100%;
            border-spacing: 2px;
            /* border-collapse: collapse; */
        }
        
        table.delivery-data td {
            margin:    0px;
            padding: 2px;
            vertical-align: middle;
            text-align: center;
        }
</style>
