{**
 * 2007-2019 PrestaShop and Contributors
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Open Software License (OSL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * https://opensource.org/licenses/OSL-3.0
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@prestashop.com so we can send you a copy immediately.
 *
 * DISCLAIMER
 *
 * Do not edit or add to this file if you wish to upgrade PrestaShop to newer
 * versions in the future. If you wish to customize PrestaShop for your
 * needs please refer to https://www.prestashop.com for more information.
 *
 * @author    PrestaShop SA <contact@prestashop.com>
 * @copyright 2007-2019 PrestaShop SA and Contributors
 * @license   https://opensource.org/licenses/OSL-3.0 Open Software License (OSL 3.0)
 * International Registered Trademark & Property of PrestaShop SA
 *}

{$style_tab}


<table width="100%" id="body" border="0" cellpadding="0" cellspacing="0" style="margin:0;">
	<!-- Addresses -->
	<tr>
		<td colspan="12">

		{$addresses_tab}

		</td>
	</tr>

	<tr>
		<td colspan="12" height="30">&nbsp;</td>
	</tr>

	<tr>
		<td colspan="12">

		{$summary_tab}

		</td>
	</tr>

	<tr>
		<td colspan="12" height="20">&nbsp;</td>
	</tr>

	<!-- Products -->
	<tr>
		<td colspan="12">

		{$product_tab}

		</td>
	</tr>
	{*
	<tr>
		<td colspan="12" height="20">&nbsp;</td>
	</tr>
	
	<tr>
		<td colspan="7" class="left">

			{$payment_tab}&nbsp;

		</td>
		<td colspan="5">&nbsp;</td>
	</tr>
	*}








	<!-- Hook -->
	{if isset($HOOK_DISPLAY_PDF)}
	<tr>
		<td colspan="12" height="30">&nbsp;</td>
	</tr>

	<tr>
		<td colspan="2">&nbsp;</td>
		<td colspan="10">
			{$HOOK_DISPLAY_PDF}
		</td>
	</tr>
	{/if}

</table>



	{* MXB: DELIVERY BOX *}
			{if $order_details|count gt 5}
				<br pagebreak="true"/>
			{else}
				<hr>
			{/if}
			<table class="delivery-box-container">
				<tr>
					<td>
						<table class="delivery-box">
							<tbody>
								<tr>
									<td class="boxed" width="33%">
										<div class="cell-title">
											<span>
												{l s='Transport reason:' d='Shop.Pdf' pdf='true'}
											</span>
										</div>
										{if isset($deliverySlipData)}
											<table class="delivery-data"><tr><td>{$deliverySlipData.transport_reason}</td></tr></table>
										{/if}
									</td>
									<td class="boxed" width="33%">
										<div class="cell-title">
											<span>
												{l s='Start delivery date/time:' d='Shop.Pdf' pdf='true'}
											</span>
										</div>
										{if isset($deliverySlipData)}
											<table class="delivery-data"><tr><td>{$deliverySlipData.delivery_start_date}</td></tr></table>
										{/if}
									</td>
									<td class="boxed" width="33%">
										<div class="cell-title">
											<span>
												{l s='Transport by:' d='Shop.Pdf' pdf='true'}
											</span>
										</div>
										{if isset($deliverySlipData)}
											<table class="delivery-data"><tr><td>{$deliverySlipData.transport_by}</td></tr></table>
										{/if}
									</td>
								</tr>
							</tbody>
						</table>
								
						<br>	
						<table class="delivery-box">
							<tbody>
					
								<tr>
									<td class="boxed" width="20%">
										<div class="cell-title">
											<span>
												{l s='Carriage:' d='Shop.Pdf' pdf='true'}
											</span>
										</div>
										{if isset($deliverySlipData)}
											<table class="delivery-data"><tr><td>{$deliverySlipData.carriage}</td></tr></table>
										{/if}
									</td>
									<td class="boxed" width="20%">
										<div class="cell-title">
											<span>
												{l s='External goods appearance:' d='Shop.Pdf' pdf='true'}
											</span>
										</div>
										{if isset($deliverySlipData)}
											<table class="delivery-data"><tr><td>{$deliverySlipData.appearance}</td></tr></table>
										{/if}
									</td>
									<td class="boxed" width="20%">
										<div class="cell-title">
											<span>
												{l s='Number of packages:' d='Shop.Pdf' pdf='true'}
											</span>
										</div>
										{if isset($deliverySlipData)}
											<table class="delivery-data"><tr><td>{$deliverySlipData.package_quantity}</td></tr></table>
										{/if}
									</td>
									<td class="boxed" width="20%">
										<div class="cell-title">
											<span>
												{l s='Weight Kg:' d='Shop.Pdf' pdf='true'}
											</span>
										</div>
										{if isset($deliverySlipData)}
											<table class="delivery-data"><tr><td>{$deliverySlipData.package_weight}</td></tr></table>
										{/if}
									</td>
									<td class="boxed" width="20%">
										<div class="cell-title">
											<span>
												{l s='Shipping code:' d='Shop.Pdf' pdf='true'}
											</span>
										</div>
										{if isset($mxb_tracking_number)}
											<table class="delivery-data"><tr><td>{$mxb_tracking_number}</td></tr></table>
										{/if}
									</td>
								</tr>
							</tbody>
						</table>	
						
						<br>	
						<table class="delivery-box">
							<tbody>
								<tr>
									<td class="boxed double" width="50%">
										<div class="cell-title">
											<span>
												{l s='Notes:' d='Shop.Pdf' pdf='true'}
											</span>
										</div>
										{if isset($deliverySlipData)}
											<table class="delivery-data"><tr><td>{$deliverySlipData.notes}</td></tr></table>
										{/if}
									</td>
							
									<td class="noborder" width="25%">
										<table class="signature-area">
											<tr>
												<td class="noborder right">
													{l s='Carrier signature:' d='Shop.Pdf' pdf='true'}
												</td>
											</tr>
											<tr>
												<td class="noborder right">
													{l s='Driver signature:' d='Shop.Pdf' pdf='true'}
												</td>
											</tr>
											<tr>
												<td class="noborder right">
													{l s='Recipient signature:' d='Shop.Pdf' pdf='true'}
												</td>
											</tr>
										</table>
									</td>
									
									<td class="noborder" width="25%">
										<table class="signature-area">
											<tr>
												<td class="boxed">
													&nbsp;
												</td>
											</tr>
											<tr>
												<td class="boxed">
													&nbsp;
												</td>
											</tr>
											<tr>
												<td class="boxed">
													&nbsp;
												</td>
											</tr>
										</table>
									</td>
								</tr>
							</tbody>
						</table>
					</td>
				</tr>
				
				<tr>
					<td class="delivery-notes">
							Ai sensi del D.Lgs. 196/2003 Vi informiamo che i Vs. dati saranno utilizzati esclusivamente per i fini connessi ai rapporti commerciali tra di noi in essere.
							Contributo CONAI assolto ove dovuto - Vi preghiamo di controllare i Vs. dati anagrafici, la P.IVA e il Cod. Fiscale. Non ci riteniamo responsabili di eventuali errori.
					</td>
				</tr>
				
			</table>
